The turns, including the ones that failed or were declined — those are the useful rows.
curl --request PATCH \
--url https://app.assetinfinity.ai/api/copilot_messages \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "<string>",
"extraction": "<string>",
"failure": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"input_tokens": 123,
"latency_ms": 123,
"output_tokens": 123,
"role": "<string>",
"stop_reason": "<string>"
}
'import requests
url = "https://app.assetinfinity.ai/api/copilot_messages"
payload = {
"content": "<string>",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "<string>",
"extraction": "<string>",
"failure": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"input_tokens": 123,
"latency_ms": 123,
"output_tokens": 123,
"role": "<string>",
"stop_reason": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
content: '<string>',
conversation_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
created_at: '<string>',
extraction: '<string>',
failure: '<string>',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
input_tokens: 123,
latency_ms: 123,
output_tokens: 123,
role: '<string>',
stop_reason: '<string>'
})
};
fetch('https://app.assetinfinity.ai/api/copilot_messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Copilot
The turns, including the ones that failed or were declined — those are the useful rows.
PATCH
/
copilot_messages
The turns, including the ones that failed or were declined — those are the useful rows.
Headers
Preference
Available options:
return=representation, return=minimal, return=none Query Parameters
Body
application/jsonapplication/vnd.pgrst.object+jsonapplication/vnd.pgrst.object+json;nulls=strippedtext/csv
copilot_messages
The turns, including the ones that failed or were declined — those are the useful rows.
Note:
This is a Foreign Key to copilot_conversations.id.
Note: This is a Primary Key.
Maximum string length:
20Maximum string length:
40Response
204
No Content
Was this page helpful?
⌘I

